﻿using Sample.Models;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            var ds = new NorthwindDataContext();
            var query = from emp in ds.EmployeeViews select emp;
            ViewBag.datasource = query.ToList();
            ViewBag.dataSource1 =  new NorthwindDataContext().OrdersViews.Where(ord => ord.EmployeeID == 1).Take(5).ToList();
            return View(); 
        }
        public ActionResult Event()
        {
            var ds = new NorthwindDataContext();
            var data = from ord in ds.OrdersViews select ord;
            ViewBag.datasource = data.ToList();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
       public ActionResult Update(OrdersView value)
        {
            var ds = new NorthwindDataContext();
            var query = from ord in ds.OrdersViews where ord.OrderID == value.OrderID select ord;
            foreach (OrdersView ord in query)
            {
                ord.OrderID = value.OrderID;
                ord.ShipCity = value.ShipCity;
                ord.ShipName = value.ShipName;
                ord.Freight = value.Freight;
            }
            ds.SubmitChanges();       
            return Json(value, JsonRequestBehavior.AllowGet);
        }
       public ActionResult Insert(OrdersView value)
        {            
            var ds = new NorthwindDataContext();
            
           
            ds.OrdersViews.InsertOnSubmit(value);
            ds.SubmitChanges();

            var jsonData = OrderRepository.GetEditable(value);

            return Json(jsonData, JsonRequestBehavior.AllowGet);
        }                            
        public ActionResult Delete(int key)
        {
            var ds = new NorthwindDataContext();
            var query = from ord in ds.OrdersViews where ord.OrderID == key select ord;

            foreach (OrdersView detail in query)
            ds.OrdersViews.DeleteOnSubmit(detail);
            ds.SubmitChanges();
            return Json(key, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable<OrdersView> result { get; set; }
            public int count { get; set; }
        }
    }

   
}
